SDL_GPUBufferLocation(3type)

NAME
SDL_GPUBufferLocation - A structure specifying a location in a buffer.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_GPUBufferLocation
{
    SDL_GPUBuffer *buffer;  /**< The buffer. */
    Uint32 offset;          /**< The starting byte within the buffer. */
} SDL_GPUBufferLocation;

DESCRIPTION
Used when copying data between buffers.

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CopyGPUBufferToBuffer(3)